Package org.apache.coyote.http11

## Class AbstractHttp11JsseProtocol<S>

- java.lang.Object
- - org.apache.coyote.AbstractProtocol<S>
  - - org.apache.coyote.http11.AbstractHttp11Protocol<S>
    - - org.apache.coyote.http11.AbstractHttp11JsseProtocol<S>

All Implemented Interfaces:
  `javax.management.MBeanRegistration`, `ProtocolHandler`

Direct Known Subclasses:
  `Http11Nio2Protocol`, `Http11NioProtocol`

    public abstract class AbstractHttp11JsseProtocol<S>
    extends AbstractHttp11Protocol<S>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.coyote.AbstractProtocol

`AbstractProtocol.AsyncTimeout, AbstractProtocol.ConnectionHandler<S>, AbstractProtocol.RecycledProcessors`

### Field Summary

### Fields inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

`sm`

### Fields inherited from class org.apache.coyote.AbstractProtocol

`adapter, clientCertProvider, domain, mserver, oname, processorCache, rgOname`

### Constructor Summary

Constructors
`AbstractHttp11JsseProtocol​(AbstractJsseEndpoint<S,​?> endpoint)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected AbstractJsseEndpoint<S,​?>` `getEndpoint()`
`int` `getSniParseLimit()`
`java.lang.String` `getSslImplementationName()`
`protected java.lang.String` `getSslImplementationShortName()`
`void` `setSniParseLimit​(int sniParseLimit)`
`void` `setSslImplementationName​(java.lang.String s)`

### Methods inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

`addAllowedTrailerHeader, addSslHostConfig, addSslHostConfig, addUpgradeProtocol, createProcessor, createUpgradeProcessor, destroy, findSslHostConfigs, findUpgradeProtocols, getAlgorithm, getAllowedTrailerHeaders, getAllowedTrailerHeadersInternal, getAllowHostHeaderMismatch, getCiphers, getClientAuth, getCompressableMimeType, getCompressableMimeTypes, getCompressibleMimeType, getCompressibleMimeTypes, getCompression, getCompressionMinSize, getConnectionUploadTimeout, getContinueResponseTiming, getContinueResponseTimingInternal, getCrlFile, getDefaultSSLHostConfigName, getDisableUploadTimeout, getKeyAlias, getKeyPass, getKeyPassFile, getKeystoreFile, getKeystorePass, getKeystorePassFile, getKeystoreProvider, getKeystoreType, getMaxExtensionSize, getMaxHttpHeaderSize, getMaxHttpRequestHeaderSize, getMaxHttpResponseHeaderSize, getMaxKeepAliveRequests, getMaxSavePostSize, getMaxSwallowSize, getMaxTrailerSize, getNegotiatedProtocol, getNoCompressionStrongETag, getNoCompressionUserAgents, getONameForUpgrade, getProtocolName, getRejectIllegalHeader, getRejectIllegalHeaderName, getRelaxedPathChars, getRelaxedQueryChars, getRestrictedUserAgents, getSecure, getServer, getServerRemoveAppProvidedValues, getSessionCacheSize, getSessionTimeout, getSSLCACertificateFile, getSSLCACertificatePath, getSSLCARevocationFile, getSSLCARevocationPath, getSSLCertificateChainFile, getSSLCertificateFile, getSSLCertificateKeyFile, getSSLCipherSuite, getSSLDisableCompression, getSSLDisableSessionTickets, getSslEnabledProtocols, getSSLHonorCipherOrder, getSSLPassword, getSSLPasswordFile, getSslProtocol, getSSLProtocol, getSSLVerifyClient, getSSLVerifyDepth, getTrustManagerClassName, getTrustMaxCertLength, getTruststoreAlgorithm, getTruststoreFile, getTruststorePass, getTruststoreProvider, getTruststoreType, getUpgradeGroupInfo, getUpgradeProtocol, getUseKeepAliveResponseHeader, getUseSendfile, getUseServerCipherSuitesOrder, init, isSSLEnabled, reloadSslHostConfig, reloadSslHostConfigs, removeAllowedTrailerHeader, setAlgorithm, setAllowedTrailerHeaders, setAllowHostHeaderMismatch, setCiphers, setClientAuth, setCompressableMimeType, setCompressibleMimeType, setCompression, setCompressionMinSize, setConnectionUploadTimeout, setContinueResponseTiming, setCrlFile, setDefaultSSLHostConfigName, setDisableUploadTimeout, setKeyAlias, setKeyPass, setKeyPassFile, setKeystoreFile, setKeystorePass, setKeystorePassFile, setKeystoreProvider, setKeystoreType, setMaxExtensionSize, setMaxHttpHeaderSize, setMaxHttpRequestHeaderSize, setMaxHttpResponseHeaderSize, setMaxKeepAliveRequests, setMaxSavePostSize, setMaxSwallowSize, setMaxTrailerSize, setNoCompressionStrongETag, setNoCompressionUserAgents, setRejectIllegalHeader, setRejectIllegalHeaderName, setRelaxedPathChars, setRelaxedQueryChars, setRestrictedUserAgents, setSecure, setServer, setServerRemoveAppProvidedValues, setSessionCacheSize, setSessionTimeout, setSSLCACertificateFile, setSSLCACertificatePath, setSSLCARevocationFile, setSSLCARevocationPath, setSSLCertificateChainFile, setSSLCertificateFile, setSSLCertificateKeyFile, setSSLCipherSuite, setSSLDisableCompression, setSSLDisableSessionTickets, setSSLEnabled, setSslEnabledProtocols, setSSLHonorCipherOrder, setSSLPassword, setSSLPasswordFile, setSslProtocol, setSSLProtocol, setSSLVerifyClient, setSSLVerifyDepth, setTrustManagerClassName, setTrustMaxCertLength, setTruststoreAlgorithm, setTruststoreFile, setTruststorePass, setTruststoreProvider, setTruststoreType, setUseKeepAliveResponseHeader, setUseSendfile, setUseServerCipherSuitesOrder, useCompression`

### Methods inherited from class org.apache.coyote.AbstractProtocol

`addWaitingProcessor, awaitConnectionsClose, closeServerSocketGraceful, getAcceptCount, getAcceptorThreadCount, getAcceptorThreadPriority, getAdapter, getAddress, getAsyncTimeout, getBacklog, getClientCertProvider, getConnectionCount, getConnectionLinger, getConnectionTimeout, getDomain, getExecutor, getGlobalRequestProcessorMBeanName, getHandler, getKeepAliveTimeout, getLocalPort, getLog, getMaxConnections, getMaxHeaderCount, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getNamePrefix, getObjectName, getPort, getPortOffset, getPortWithOffset, getProcessorCache, getProperty, getSendReasonPhrase, getSoLinger, getSoTimeout, getTcpNoDelay, getThreadPriority, getWaitingProcessorCount, isAprRequired, isSendfileSupported, pause, postDeregister, postRegister, preDeregister, preRegister, removeWaitingProcessor, resume, setAcceptCount, setAcceptorThreadCount, setAcceptorThreadPriority, setAdapter, setAddress, setBacklog, setClientCertProvider, setConnectionLinger, setConnectionTimeout, setExecutor, setHandler, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxThreads, setMinSpareThreads, setPort, setPortOffset, setProcessorCache, setProperty, setSendReasonPhrase, setSoLinger, setSoTimeout, setTcpNoDelay, setThreadPriority, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractHttp11JsseProtocol

    public AbstractHttp11JsseProtocol​(AbstractJsseEndpoint<S,​?> endpoint)

### Method Detail

#### getEndpoint

    protected AbstractJsseEndpoint<S,​?> getEndpoint()

Description copied from class: `AbstractHttp11Protocol`

Over-ridden here to make the method visible to nested classes.

Overrides:
  `getEndpoint` in class `AbstractHttp11Protocol<S>`

#### getSslImplementationShortName

    protected java.lang.String getSslImplementationShortName()

#### getSslImplementationName

    public java.lang.String getSslImplementationName()

#### setSslImplementationName

    public void setSslImplementationName​(java.lang.String s)

#### getSniParseLimit

    public int getSniParseLimit()

#### setSniParseLimit

    public void setSniParseLimit​(int sniParseLimit)